Subject: Re: bug#55836: 29.0.50; (iconify-frame) freezes buffer view under Wayland.

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 23 Jul 2022 10:40:37 +0200

Po Lu <[email-masked]> writes:

>> This breakpoint actually hits whenever the emacs frame gets focus, and
>> makes debugging quite annoying.
>> However, by inputting M-x + <tab> during the breakpoint and using the
>> mouse when the frame does not
>> have focus, it is possible to execute (iconify-frame) interactively
>> after triggering the breakpoint.
>>
>> Here's the strange thing: when a breakpoint is set there, the issue is
>> not present; when the breakpoint
>> is deleted and the procedure repeated, the issue reappears.
>>
>> I would conjecture that this has to do with the state of the frame at
>> the moment of (de-)/iconification,
>> since when the breakpoint IS present, I would have to be looking at
>> gdb, cycling through 'continue's.
>
> I didn't understand what you said, but I guess you should make the
> breakpoint conditional on "FRAME_ICONIFIED_P (f)".

I didn't quite understand the text here, either.  whainte, are you still
seeing this problem, and if so, can you try Po's suggestion?